#
#  Copyright 1996-2008 Jim Pirzyk / pirzyk.org
#  All rights reserved.
#
#  security.spec - spec file needed for RPM Package build.
#
Summary:	File system security and verification program
Name:	security
Version:	v3.4.1
Release:	1%{?site}%{?dist}
License:	private
Group:	System Environment/Base
URL:		http://www.pirzyk.org/security/
Source:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-%(%{__id} -u -n)
BuildArch:	noarch

Requires:	perl >= 5.6.1
Requires:	perl(Fcntl) >= 0
Requires:	perl(Net::SMTP) >= 0
Requires:	perl(DB_File) >= 0
Requires:	perl(Digest::SHA1) >= 2.00
Requires:	perl(Sys::Filesystem) >= 1.22

BuildRequires:	perl >= 5.6.1
BuildRequires:	perl(Fcntl) >= 0
BuildRequires:	perl(Net::SMTP) >= 0
BuildRequires:	perl(DB_File) >= 0
BuildRequires:	perl(Digest::SHA1) >= 2.00
BuildRequires:	perl(Sys::Filesystem) >= 1.22
BuildRequires:	perl(ExtUtils::MakeMaker) >= 0

%define _prefix /
# Since we are installing as site_perl, FC9 (and not sure if any earlier
# versions) install their man pages under /usr/local, not %{_mandir}
%if %{?fc9:1}%{!?fc9:0}
%define _mandir /usr/local/share/man
%else
%define _mandir /usr/share/man
%endif
# By default, we want a non interactive install.
# the install_opts can be overridden on the command line via
#
# rpmbuild ... -D 'install_opts "-y -m mailhost -I"' -D 'site .mybuild' ... security.spec
%if %{?install_opts:0}%{!?install_opts:1}
%define install_opts -I
%endif


%description
A perl script to check for inconsistant, incorrect configurations that
may be a sign of a security issue.  Checks for stuff like files
assigned a UID that has no associated password entry, multiple UID 0
accounts, checksums changing on set UID/GID files, etc.  Results are
mailed to root or written to a file on the system.


%prep
%setup -q


%build
%{__perl} Makefile.PL SITEPREFIX=%{_prefix}
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} SITEPREFIX=%{_prefix} %{?install_opts:INSTALL_OPTS=%{install_opts}} install
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
%{__rm} -f %{buildroot}/%{perl_archlib}/perllocal.pod
%{_fixperms} %{buildroot}/*


%clean
%{__rm} -rf %{buildroot}


%files
# Be anal about ownership, group and file mode
%defattr(0600,root,root)
%dir %attr(0700,root,root) %{_localstatedir}/db/security
%config(noreplace) %{_localstatedir}/db/security/checksum.db
%config(noreplace) %attr(0400,root,root) %{_sysconfdir}/security/security.cf
%config(noreplace) %attr(0700,root,root) %{_sysconfdir}/cron.daily/security
%attr(0700,root,root) %{_sbindir}/security
%{perl_sitelib}/Security/*.pm
%{perl_sitelib}/Security/*/*.pm
%doc ChangeLog
%doc %attr(0644,root,man) %{_mandir}/man1/security.*
%doc %attr(0644,root,man) %{_mandir}/man3/Security::*

%changelog
* Mon Dec 1 2008 Jim Pirzyk <jim+security@pirzyk.org> 3.4.1-1
- Updated version.
- Added BuildDependcy on ExtUtils::MakeMaker

* Mon Nov 10 2008 Jim Pirzyk <jim+security@pirzyk.org> 3.4.0-2
- Fixed man page permissions.

* Thu Oct 23 2008 Jim Pirzyk <jim+security@pirzyk.org> 3.4.0-1
- Updated version, new file layout.

* Thu Sep 19 2008 Jim Pirzyk <jim+security@pirzyk.org> 3.3.0-2
- Be more anal about file modes

* Thu Sep 17 2008 Jim Pirzyk <jim+security@pirzyk.org> 3.3.0-1
- Updated version, removed Filesystem::Statvfs in favor or Sys::Filesystem.
- Added ROOT variable and use DESTDIR for package relocation only.

* Thu Nov 29 2007 Jim Pirzyk <pirzyk@uiuc.edu> 3.2.0-1
- Updated version

* Wed Mar 07 2007 Jim Pirzyk <pirzyk@uiuc.edu> 3.1.2-2
- Recognize disabled passwords having !!

* Wed Feb 21 2007 Jim Pirzyk <pirzyk@uiuc.edu> 3.1.2-1
- Updated version

* Tue May 15 2006 Jim Pirzyk <pirzyk@uiuc.edu> 3.0.9-1
- initial package
